<% add_decidim_meta_tags({
                           image_url: current_initiative.type.banner_image.url,
                           description: translated_attribute(current_initiative.description),
                           title: translated_attribute(current_initiative.title),
                           url: initiative_url(current_initiative.id),
                           twitter_handler: current_organization.twitter_handler
                         }) %>

<%
  edit_link(
    resource_locator(current_participatory_space).edit,
    :update,
    :initiative,
    initiative: current_participatory_space
  )
%>

<%= participatory_space_floating_help %>

<% add_decidim_page_title(translated_attribute(current_initiative.title)) %>
<% provide :meta_image_url, current_initiative.type.banner_image.url %>
<div class="row">
  <% unless current_initiative.online? %>
    <div class="column">
      <div class="callout secondary">
        <p>
          <%= t ".any_vote_method" if current_initiative.any? %>
          <%= t ".offline_method" if current_initiative.offline? %>
        </p>
      </div>
    </div>
  <% end %>

  <div class="columns section view-side mediumlarge-4 mediumlarge-push-8 large-3 large-push-9">
    <div class="card">
      <div class="card__content">
        <%= render partial: "progress_bar" %>
        <% if current_initiative.votes_enabled? %>
          <div id="initiative-<%= current_initiative.id %>-vote-cabin">
            <%= render partial: "vote_cabin", locals: { initiative: current_initiative } %>
          </div>
        <% end %>
        <%= render partial: "interactions" %>
      </div>
    </div>
    <% if current_user %>
      <div class="card text-center">
        <div class="card__content">
          <%= cell "decidim/follow_button", current_participatory_space, inline: false, large: true %>
          <small><%= t(".follow_description") %></small>
        </div>
      </div>
    <% end %>
    <%= render partial: "decidim/shared/share_modal" %>
    <%= embed_modal_for initiative_initiative_widget_url(current_initiative, format: :js) %>
    <%= resource_reference(current_initiative) %>
  </div>

  <div class="columns mediumlarge-8 mediumlarge-pull-4">
    <div class="section">
      <div class="row column">
        <h2 class="heading2" <%= "id=#{translate_helper_for(element: :title, model: current_initiative)}" %>>
          <%= translated_attribute(current_initiative.title) %>
        </h2>
        <%= render partial: "author", locals: { initiative: current_initiative } %>
        <%= translate_button_helper_for(
              title: translated_attribute(current_initiative.title),
              body: translated_attribute(current_initiative.description),
              model: current_initiative,
              options: { class: "hide-for-small-only" }
            ) %>
      </div>
      <br>
      <div class="row column">
        <%= render partial: "initiative_badge", locals: { initiative: current_initiative } %>
        <div id="<%= translate_helper_for(element: :body, model: current_initiative) %>">
          <%= decidim_sanitize simple_format(translated_attribute(current_initiative.description)) %>
          <%= translate_button_helper_for(
                title: translated_attribute(current_initiative.title),
                body: translated_attribute(current_initiative.description),
                model: current_initiative,
                options: { class: "show-for-small-only" }
              ) %>
        </div>
        <%= render partial: "tags", locals: { resource: current_initiative } %>
      </div>

      <%= render partial: "result", locals: { initiative: current_initiative } %>
    </div>

    <%= attachments_for current_initiative %>

    <%= render partial: "supports", locals: { initiative: current_initiative } %>
  </div>
</div>

<%= comments_for current_initiative if current_initiative.published? %>
